Head-Fi.org › Forums › Summit-Fi (High-End Audio) › High-end Audio Forum › Perfect Wave DAC Owner Unite
New Posts  All Forums:Forum Nav:

Perfect Wave DAC Owner Unite - Page 80

post #1186 of 1494
Quote:
Originally Posted by purk View Post

Given the same firmware, will the upgraded MKI sound identical to MKII unit?  If not, what are the difference.  Thank you.  

 

MKII will only run 2.10 and 2.20. 

 

I'll try the "new" 2.20 on my upgraded MKI unit and report back.

 

Either way, this is possibly good new for the newer MKII units. A friend on mine had been in contact with Paul regarding issues with some PWD MKII new units. Supposedly Paul admitted that a few of them needed a digital board replacement. I know that a newer MKII unit I obtained sounded like donkey when directly compared to the MKI upgraded to MKII. Little bit less resolving, less microdynamics, but most damning was lack of low bass response. Maybe Paul got wind of this issue and put in a fix.

post #1187 of 1494

^From what I read, only the MKII "only" units that were <never MKI> can run the "new" 2.2.0.  Can someone confirm?

Reply
post #1188 of 1494

^Okay, so I think the "MKI to MKII" upgraders may be able to use the "latest 2.20" firmware.  (Because it seems that some 2.0.2 users can use the latest 2.20 and that means they have upgraded MKI.  But I can't try it for a week so if anyone wants to give it a shot...)   

 

This is what I have gathered from the thread...

 

Versions of v2.20:

  1. 2.20 (pld 104)
  2. 2.20 (pld 105)
  3. 2.20 (pld 107)
  4. 2.20 (pld 109)
  5. 2.20 (pld 109) "Emailed on July 2nd".  Specific Filenames:  Loader.CFG, pWD20400.hex, PWDPL109.hex, PWDUI200.hex, and PLDUL103.hex

 

Not official yet:

2.4.0 is in Beta

 


Edited by CEE TEE - 7/3/13 at 1:43pm
Reply
post #1189 of 1494
PL104 and PL105 as well, possibly more.
post #1190 of 1494
Are the upgraded MKI's the only units able to be downgraded to 2.02 - 2.03?
post #1191 of 1494
^Yes, that is my understanding.
Reply
post #1192 of 1494
Quote:
Originally Posted by CEE TEE View Post

^Okay, so I think the "MKI to MKII" upgraders may be able to use the "latest 2.20" firmware.  (Because it seems that some 2.0.2 users can use the latest 2.20 and that means they have upgraded MKI.  But I can't try it for a week so if anyone wants to give it a shot...)   

 

This is what I have gathered from the thread...

 

Versions of v2.20:

  1. 2.20 (pld 104)
  2. 2.20 (pld 105)
  3. 2.20 (pld 107)
  4. 2.20 (pld 109)
  5. 2.20 (pld 109) "Emailed on July 2nd".  Specific Filenames:  Loader.CFG, pWD20400.hex, PWDPL109.hex, PWDUI200.hex, and PLDUL103.hex

 

Not official yet:

2.4.0 is in Beta

 

When checking the FW in the PS will also show which (PLD 1xx) number it is?

post #1193 of 1494

Doubt it.

post #1194 of 1494
Quote:
Originally Posted by CEE TEE View Post

^From what I read, only the MKII "only" units that were <never MKI> can run the "new" 2.2.0.  Can someone confirm?


Both the MKII and MKI -> MKII PWDs can use the newer versions of 2.2.0.  

post #1195 of 1494
Great! Thank you, I will load it up on a 3rd card!
Reply
post #1196 of 1494

Please let us know what you think.

 

I keep the various versions of the firmware in separate directories on a single SD card.  When I want to switch, I simply copy the desired firmware to the root after deleting the version already there.  This makes organization and changing firmware quick and painless.

post #1197 of 1494
Seems there is something different about the newest PLD 09 2.20 (bridge 2.14b). Coming from a PLD 04, the change appears positive across the board. I need more time, but recent listening sessions have consistenly been very pleasing. My perception is that a stridency has left and a warmth has taken its place. Acoustic bass is fuller and punchier. My Stax and LCD setup is particularly harmonious with this Dac, whereas the darker, airier W4S plays well with the HD800 and T1. Over on the PS forums several have reported positive results with this new 2.20 firmware.

*They really are very silly with their firmware management. I'd rather go through a labyrinthine flow chart most days than decipher their firmware schematics.
post #1198 of 1494
^This is promising. Thanks! May I ask: Did you download from the site or get it in email from PS Audio? When did you receive it?
Reply
post #1199 of 1494
I tried to get it from the PS site. They have a "newest firmware" thread, that is intended to carry downloadable firmware links. This didn't work for me as I couldn't see the links and as the thread being closed could not read the comments. Eventually I found a thread where a user uploaded the PLD 09 link and I confirmed the hex # after unzipping the rar file. As for the bridge update, this I was able to find on the PS site, and the thread was called something like "newest bridge firmware" and the link was available.
post #1200 of 1494

Can anyone share with me where to obtain this "newest" 2.2.0 firmware?

 

This one: 

 

Quote:
  1. 2.20 (pld 109) "Emailed on July 2nd".  Specific Filenames:  Loader.CFG, pWD20400.hex, PWDPL109.hex, PWDUI200.hex, and PLDUL103.hex

 

Thanks.

New Posts  All Forums:Forum Nav:
  Return Home
  Back to Forum: High-end Audio Forum
Head-Fi.org › Forums › Summit-Fi (High-End Audio) › High-end Audio Forum › Perfect Wave DAC Owner Unite